#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x89,0x44,0x3E,0x54,0x98,0x43,0xC0,0x77,0x49,0xEF,0x53,0x2C,
		0x5E,0x40,0xCF,0x3F,0xD6,0xE2,0x1A,0xEE,0xD7,0xF1,0xBE,0x9C,
		0xB4,0x7F,0x79,0x00,0xB4,0x63,0x34,0x05,0x1B,0xEC,0xF3,0x52,
		0x6F,0x53,0x52,0xE1,0x55,0x93,0x62,0x04,0x8F,0x46,0xD2,0x15,
		0x81,0xA6,0xF9,0xA9,0x25,0x52,0xBC,0x56,0xC8,0x82,0x59,0xB7,
		0x10,0xB9,0x18,0x5F,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
